CREATE TABLE grc_rsk_risk_event_x_h (
    RISK_ID                  NUMBER(18, 0),
    EVENT_ID                 NUMBER(18, 0),
    EFFECTIVE_SEQUENCE       NUMBER(4, 0) ,
    REVISION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    RISK_ID                  NUMBER(18, 0),
    EVENT_ID                 NUMBER(18, 0),
    EFFECTIVE_SEQUENCE       NUMBER(4, 0) ,
    REVISION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_grc_rsk_risk_event_x_h PRIMARY KEY (RISK_ID, EVENT_ID, EFFECTIVE_SEQUENCE, RISK_ID, EVENT_ID, EFFECTIVE_SEQUENCE)
);
